package com.gic.haoban.manage.web.vo.coupon;

import java.io.Serializable;
import java.util.Date;

public class CoupCardClerkLogVO implements Serializable {

    private static final long serialVersionUID = 707322017107902L;

    /**主键*/
    private String clerkLogId;
    /**企业id*/
    private String enterpriseId;
    /** 会员id */
    private String memberId;
    /** 卡券日志id */
    private String cardLogId;
    /**
     * 卡券编码
     */
    private String cardCode;
    /**
     * 卡券名称
     */
    private String cardName;
    /** 卡券id */
    private String coupCardId;
    /** 门店id */
    private String storeId;
    /** 门店code */
    private String storeCode;
    /** 门店名称 */
    private String storeName;
    /** 导购id */
    private String clerkId;
    /** 导购名称 */
    private String clerkName;

    /** 导购code */
    private String clerkCode;

    /**
     * 核销类型1客户核销2导购核销
     */
    private Integer writeOffType;

    private Date updateTime;
    private Date createTime;

    /**
     * 核销时间
     */
    private Date useTime;

    public String getClerkLogId() {
        return clerkLogId;
    }

    public void setClerkLogId(String clerkLogId) {
        this.clerkLogId = clerkLogId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getCardLogId() {
        return cardLogId;
    }

    public void setCardLogId(String cardLogId) {
        this.cardLogId = cardLogId;
    }

    public String getCardName() {
        return cardName;
    }

    public void setCardName(String cardName) {
        this.cardName = cardName;
    }

    public String getCardCode() {
        return cardCode;
    }

    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public String getCoupCardId() {
        return coupCardId;
    }

    public void setCoupCardId(String coupCardId) {
        this.coupCardId = coupCardId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public Integer getWriteOffType() {
        return writeOffType;
    }

    public void setWriteOffType(Integer writeOffType) {
        this.writeOffType = writeOffType;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUseTime() {
        return createTime;
    }

    public void setUseTime(Date useTime) {
        this.useTime = useTime;
    }
}